# Interface MonadIndexEntry

interface MonadIndexEntry {
capabilities?: string[];
claimed_namespaces?: string[];
endpoint: string;
first_seen: number;
identity_hash?: string;
last_seen: number;
monad_id: string;
name?: string;
namespace: string;
public_key?: string;
scope_path?: string;
tags?: string[];
trust?: SelfSurfaceTrust;
type?: SelfSurfaceType;
version?: string;
}

- Defined in kernel/monadIndex.ts:8

##### Index

### Properties

capabilities?
claimed_namespaces?
endpoint
first_seen
identity_hash?
last_seen
monad_id
name?
namespace
public_key?
scope_path?
tags?
trust?
type?
version?

## Properties

### `Optional` capabilities

capabilities?: string[]

- Defined in kernel/monadIndex.ts:23

### `Optional` claimed_namespaces

claimed_namespaces?: string[]

- Defined in kernel/monadIndex.ts:19

### endpoint

endpoint: string

- Defined in kernel/monadIndex.ts:13

### first_seen

first_seen: number

- Defined in kernel/monadIndex.ts:20

### `Optional` identity_hash

identity_hash?: string

Root `.me` identity hash for ownership/claims. Distinct from mesh routing id.

- Defined in kernel/monadIndex.ts:11

### last_seen

last_seen: number

- Defined in kernel/monadIndex.ts:21

### monad_id

monad_id: string

- Defined in kernel/monadIndex.ts:9

### `Optional` name

name?: string

- Defined in kernel/monadIndex.ts:14

### namespace

namespace: string

- Defined in kernel/monadIndex.ts:12

### `Optional` public_key

public_key?: string

- Defined in kernel/monadIndex.ts:17

### `Optional` scope_path

scope_path?: string

Where in the namespace tree this monad operates. Absent = treats as "/".

- Defined in kernel/monadIndex.ts:25

### `Optional` tags

tags?: string[]

- Defined in kernel/monadIndex.ts:18

### `Optional` trust

trust?: SelfSurfaceTrust

- Defined in kernel/monadIndex.ts:16

### `Optional` type

type?: SelfSurfaceType

- Defined in kernel/monadIndex.ts:15

### `Optional` version

version?: string

- Defined in kernel/monadIndex.ts:22